Start an EOI
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/eois \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deal_id": 908005740,
"eoi": {
"purchase_intent": "investor",
"cash_buyer": false,
"deposit_amount": 25000,
"contract_names": "Jane Doe"
},
"build_uid": "BP-1234",
"skip_pipedrive": true,
"agent_email": "user1@example.com"
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/eois"
payload = {
"deal_id": 908005740,
"eoi": {
"purchase_intent": "investor",
"cash_buyer": False,
"deposit_amount": 25000,
"contract_names": "Jane Doe"
},
"build_uid": "BP-1234",
"skip_pipedrive": True,
"agent_email": "user1@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deal_id: 908005740,
eoi: {
purchase_intent: 'investor',
cash_buyer: false,
deposit_amount: 25000,
contract_names: 'Jane Doe'
},
build_uid: 'BP-1234',
skip_pipedrive: true,
agent_email: 'user1@example.com'
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/eois', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/eois",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'deal_id' => 908005740,
'eoi' => [
'purchase_intent' => 'investor',
'cash_buyer' => false,
'deposit_amount' => 25000,
'contract_names' => 'Jane Doe'
],
'build_uid' => 'BP-1234',
'skip_pipedrive' => true,
'agent_email' => 'user1@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/eois"
payload := strings.NewReader("{\n \"deal_id\": 908005740,\n \"eoi\": {\n \"purchase_intent\": \"investor\",\n \"cash_buyer\": false,\n \"deposit_amount\": 25000,\n \"contract_names\": \"Jane Doe\"\n },\n \"build_uid\": \"BP-1234\",\n \"skip_pipedrive\": true,\n \"agent_email\": \"user1@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/eois")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"deal_id\": 908005740,\n \"eoi\": {\n \"purchase_intent\": \"investor\",\n \"cash_buyer\": false,\n \"deposit_amount\": 25000,\n \"contract_names\": \"Jane Doe\"\n },\n \"build_uid\": \"BP-1234\",\n \"skip_pipedrive\": true,\n \"agent_email\": \"user1@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/eois")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"deal_id\": 908005740,\n \"eoi\": {\n \"purchase_intent\": \"investor\",\n \"cash_buyer\": false,\n \"deposit_amount\": 25000,\n \"contract_names\": \"Jane Doe\"\n },\n \"build_uid\": \"BP-1234\",\n \"skip_pipedrive\": true,\n \"agent_email\": \"user1@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"eoi": {
"id": 1,
"public_uid": "EO-2603121",
"status": "started",
"deal_id": 908005740,
"build_uid": "BP-1234",
"property_address": "123 Test St NORTH ROCKS NSW 2151",
"selling_agent_email": "user1@example.com",
"selling_agent_phone": null,
"package": {
"address": {
"street_name": "123 Test St",
"suburb": "NORTH ROCKS",
"state": "NSW",
"post_code": "2151",
"estate": "Northam Estate"
},
"house": {
"house_design": "KENEKT DESIGN",
"facade": "KENEKT FACADE",
"bedrooms": 3,
"bathrooms": 2
},
"contract": {
"contract_value": 0,
"sale_type": "Investor",
"agent": "User One",
"agent_sales_consultant": "User One",
"initial_deposit": 25000
}
},
"brochure_path": null,
"evolve_project_code": null,
"evolve_pushed_at": null,
"evolve_contract_pack_sent_at": null,
"purchase_intent": null,
"ownership_type": null,
"first_home": false,
"firb_required": false,
"cash_buyer": false,
"finance_approved": false,
"subject_to_finance": false,
"proposed_finance_date": null,
"deposit_amount": "0.0",
"deposit_method": null,
"proposed_settlement_date": null,
"contract_names": null,
"notes": null,
"purchasers": [],
"buyer_form_path": "/eoi/bszRR6oLR789KZLtE492qmAF?sig=SIGNATURE",
"created_at": "2026-10-17T16:03:48.232+11:00",
"completed_at": null
}
}{
"error": "Insufficient scope",
"required": "eois",
"granted": [
"designs"
]
}{
"errors": [
"agent_email nobody@example.com has no active role in this agency"
]
}EOIs
Start an EOI
Starts an EOI on a package, attached to an existing deal (deal_id) or to the agent’s enquiry on the package (build_uid), and sets its declaration fields. agent_email attributes it to the agent who took it; it defaults to the key’s owner.
POST
/
{agency_uid}
/
eois
Start an EOI
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/eois \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deal_id": 908005740,
"eoi": {
"purchase_intent": "investor",
"cash_buyer": false,
"deposit_amount": 25000,
"contract_names": "Jane Doe"
},
"build_uid": "BP-1234",
"skip_pipedrive": true,
"agent_email": "user1@example.com"
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/eois"
payload = {
"deal_id": 908005740,
"eoi": {
"purchase_intent": "investor",
"cash_buyer": False,
"deposit_amount": 25000,
"contract_names": "Jane Doe"
},
"build_uid": "BP-1234",
"skip_pipedrive": True,
"agent_email": "user1@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deal_id: 908005740,
eoi: {
purchase_intent: 'investor',
cash_buyer: false,
deposit_amount: 25000,
contract_names: 'Jane Doe'
},
build_uid: 'BP-1234',
skip_pipedrive: true,
agent_email: 'user1@example.com'
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/eois', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/eois",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'deal_id' => 908005740,
'eoi' => [
'purchase_intent' => 'investor',
'cash_buyer' => false,
'deposit_amount' => 25000,
'contract_names' => 'Jane Doe'
],
'build_uid' => 'BP-1234',
'skip_pipedrive' => true,
'agent_email' => 'user1@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/eois"
payload := strings.NewReader("{\n \"deal_id\": 908005740,\n \"eoi\": {\n \"purchase_intent\": \"investor\",\n \"cash_buyer\": false,\n \"deposit_amount\": 25000,\n \"contract_names\": \"Jane Doe\"\n },\n \"build_uid\": \"BP-1234\",\n \"skip_pipedrive\": true,\n \"agent_email\": \"user1@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/eois")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"deal_id\": 908005740,\n \"eoi\": {\n \"purchase_intent\": \"investor\",\n \"cash_buyer\": false,\n \"deposit_amount\": 25000,\n \"contract_names\": \"Jane Doe\"\n },\n \"build_uid\": \"BP-1234\",\n \"skip_pipedrive\": true,\n \"agent_email\": \"user1@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/eois")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"deal_id\": 908005740,\n \"eoi\": {\n \"purchase_intent\": \"investor\",\n \"cash_buyer\": false,\n \"deposit_amount\": 25000,\n \"contract_names\": \"Jane Doe\"\n },\n \"build_uid\": \"BP-1234\",\n \"skip_pipedrive\": true,\n \"agent_email\": \"user1@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"eoi": {
"id": 1,
"public_uid": "EO-2603121",
"status": "started",
"deal_id": 908005740,
"build_uid": "BP-1234",
"property_address": "123 Test St NORTH ROCKS NSW 2151",
"selling_agent_email": "user1@example.com",
"selling_agent_phone": null,
"package": {
"address": {
"street_name": "123 Test St",
"suburb": "NORTH ROCKS",
"state": "NSW",
"post_code": "2151",
"estate": "Northam Estate"
},
"house": {
"house_design": "KENEKT DESIGN",
"facade": "KENEKT FACADE",
"bedrooms": 3,
"bathrooms": 2
},
"contract": {
"contract_value": 0,
"sale_type": "Investor",
"agent": "User One",
"agent_sales_consultant": "User One",
"initial_deposit": 25000
}
},
"brochure_path": null,
"evolve_project_code": null,
"evolve_pushed_at": null,
"evolve_contract_pack_sent_at": null,
"purchase_intent": null,
"ownership_type": null,
"first_home": false,
"firb_required": false,
"cash_buyer": false,
"finance_approved": false,
"subject_to_finance": false,
"proposed_finance_date": null,
"deposit_amount": "0.0",
"deposit_method": null,
"proposed_settlement_date": null,
"contract_names": null,
"notes": null,
"purchasers": [],
"buyer_form_path": "/eoi/bszRR6oLR789KZLtE492qmAF?sig=SIGNATURE",
"created_at": "2026-10-17T16:03:48.232+11:00",
"completed_at": null
}
}{
"error": "Insufficient scope",
"required": "eois",
"granted": [
"designs"
]
}{
"errors": [
"agent_email nobody@example.com has no active role in this agency"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agency public_uid
Body
application/json
Response
Created
Show child attributes
Show child attributes